Subject: Re: [pmtud] Draft-ietf-pmtud-method-05

From: Gorry Fairhurst <[email-masked]>
Date: Thu, 10 Nov 2005 08:14:02 -0800

On 8/11/05 10:19 am, "John Heffner" <[email-masked]> wrote:

>> ---
>> At the end of section 8.7, the document concludes the minimum safe packet
>> size for IPv4 is 68 bytes - why not 576 bytes - some explanation seems to be
>> needed.
> 
>  From RFC 791:
> 
>    Every internet module must be able to forward a datagram of 68
>    octets without further fragmentation.  This is because an internet
>    header may be up to 60 octets, and the minimum fragment is 8 octets.
> 
>    Every internet destination must be able to receive a datagram of 576
>    octets either in one piece or in fragments to be reassembled.
> 
> I'll add a citation.
> 

OK

>> ---
>> Section 10.1, para 2
>> - I disagree that limiting the largest probe size offers any guarentee that
>> TCP FR will not be triggeered. FR *can* still be triggered by packet
>> re-ordering (which is why we have a DupACK threshold) - so this doesn't
>> eliminate this, but it does mitigate the probability that FR is triggeered.
> 
> I guess what we should say is that if your probe is a full cur_mss
> larger than the dupack threshold * cur_mss, a successful probe *will*
> trigger fast retransmit (unless you have DSACK), so you don't want to do
> that. :)
> 
Yep :-)
> I'm tempted to pull the description of this method from the draft since
> it's not clear to me it has any benefits over the other way.
> 
> 

>> ---
>>  In section 10.2, the I-D seems to advocate using any unassigned Type as
>> padding, whilst this is true, it seems to be bad IETF practice to advocate
>> this, can we simply request an type to do this instead, it seems clean and
>> guards against use of the option for two different purposes.
> 
> We're working on trying to get a PAD chunk type defined.
> 
OK.

> 
>> Security Considerations:
>> - I think this section should highlight again the PMTUD DoS vulnerabilbity
>> when used in multicast (and refer back to the earlier section.
> 
> Do you mean joining a multicast group doing PMTUD, and reporting a small
> MTU?
> 
Yes - although that's not very profound, I think it is very worth stating
with a section ref to the text.

> Thanks,
>    -John

_______________________________________________
pmtud mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pmtud